Bug 1029565 - Review Request: python3-cherrypy - Pythonic, object-oriented web development framework
Review Request: python3-cherrypy - Pythonic, object-oriented web development ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1014583
  Show dependency treegraph
 
Reported: 2013-11-12 10:50 EST by Miro Hrončok
Modified: 2013-12-13 22:26 EST (History)
3 users (show)

See Also:
Fixed In Version: python3-cherrypy-3.2.4-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 05:33:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-11-12 10:50:18 EST
Spec URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy-3.2.4-1.fc20.src.rpm

Description:
CherryPy allows developers to build web applications in much the same way 
they would build any other object-oriented Python program. This usually 
results in smaller source code developed in less time.

Fedora Account System Username: churchyard

This package was previously orphaned and retired.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-11-12 11:59:25 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Maybe convert to one or the either, not very important.

- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/python3-cherrypy

Dah, re-review.

- Package has /usr/share/doc/python3-cherrypy/tutorial/__pycache__
and a bunch of files inside. I'm not sure we want those, so just
mentioning it here.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 108 files have unknown license.
     Detailed output of licensecheck in
     /home/zbyszek/fedora/1029565-python3-cherrypy/licensecheck.txt
BSD.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 174080 bytes in 29 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
HelloWorld from the home page works ;)

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cherrypy-3.2.4-1.fc20.noarch.rpm
          python3-cherrypy-3.2.4-1.fc20.src.rpm
python3-cherrypy.noarch: W: spelling-error Summary(en_US) Pythonic -> Python
python3-cherrypy.noarch: W: no-manual-page-for-binary python3-cherryd
python3-cherrypy.src: W: spelling-error Summary(en_US) Pythonic -> Python
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-cherrypy
python3-cherrypy.noarch: W: spelling-error Summary(en_US) Pythonic -> Python
python3-cherrypy.noarch: W: no-manual-page-for-binary python3-cherryd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

OK.

Requires
--------
python3-cherrypy (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)

OK.

Provides
--------
python3-cherrypy:
    python3-cherrypy

OK.

Source checksums
----------------
https://pypi.python.org/packages/source/C/CherryPy/CherryPy-3.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : abd73a449936740e99d3a05eb89b9381dc188ef696904f585463bc28079f1288
  CHECKSUM(SHA256) upstream package : abd73a449936740e99d3a05eb89b9381dc188ef696904f585463bc28079f1288

---------------------------------------------------------------------

Nice and clean. Package is APPROVED
Comment 2 Miro Hrončok 2013-11-12 16:31:55 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> - Package uses either %{buildroot} or $RPM_BUILD_ROOT
>   Note: Using both %{buildroot} and $RPM_BUILD_ROOT
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
Will stick with %{buildroot}.

> - Package has /usr/share/doc/python3-cherrypy/tutorial/__pycache__
> and a bunch of files inside. I'm not sure we want those, so just
> mentioning it here.
Definitely shouldn't be there.

Thanks for the very fast review.
Comment 3 Miro Hrončok 2013-11-12 17:27:58 EST
Spec URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy-3.2.4-2.fc20.src.rpm

* Tue Nov 12 2013 Miro Hrončok <mhroncok@redhat.com> - 3.2.4-2
- Use only %%{buildroot} and don't mix it with RPM_BUILD_ROOT

The __pycache__ is done by RPM and I have no idea how to remove it.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-11-12 17:49:02 EST
(In reply to Miro Hrončok from comment #3)
> The __pycache__ is done by RPM and I have no idea how to remove it.
Stick

  %global __os_install_post %(echo '%{__os_install_post}'; echo 'rm -rvf cherrypy/tutorial/__pycache__')

at the top. Bruteforce method :)
Comment 5 Miro Hrončok 2013-11-13 06:07:03 EST
Spec URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy.spec
SRPM URL: http://churchyard.fedorapeople.org/SRPMS/python3-cherrypy-3.2.4-3.fc20.src.rpm

* Wed Nov 13 2013 Miro Hrončok <mhroncok@redhat.com> - 3.2.4-3
- Delete tutorial's __pycache__ after %%install AND after %%check

Thanks for tip.
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-11-13 08:43:30 EST
Hey, please do the fedora-cvs? thing :)
Comment 7 Miro Hrončok 2013-11-13 09:36:32 EST
Package Change Request
======================
Package Name: python3-cherrypy
New Branches: f18 f19 20
Owners: churchyard
Comment 8 Gwyn Ciesla 2013-11-13 09:40:53 EST
Git done (by process-git-requests).

Fixed up branches.
Comment 9 Miro Hrončok 2013-11-13 09:41:34 EST
https://fedorahosted.org/rel-eng/ticket/5796
Comment 10 Miro Hrončok 2013-11-13 09:43:11 EST
Oh, wrong link https://fedorahosted.org/rel-eng/ticket/5810
Comment 11 Fedora Update System 2013-11-26 11:48:11 EST
python3-cherrypy-3.2.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python3-cherrypy-3.2.4-3.fc20
Comment 12 Fedora Update System 2013-11-26 11:50:42 EST
python3-cherrypy-3.2.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python3-cherrypy-3.2.4-3.fc19
Comment 13 Fedora Update System 2013-11-26 11:55:02 EST
python3-cherrypy-3.2.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python3-cherrypy-3.2.4-3.fc18
Comment 14 Fedora Update System 2013-11-26 13:01:47 EST
python3-cherrypy-3.2.4-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2013-12-05 05:33:02 EST
python3-cherrypy-3.2.4-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-12-05 05:34:22 EST
python3-cherrypy-3.2.4-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-12-13 22:26:04 EST
python3-cherrypy-3.2.4-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.